%define major 3
%define libname %mklibname dvdread %{major}
%define develname %mklibname dvdread -d

Summary:	Library to read DVD images
Name:		libdvdread
Version:	0.9.7
Release:	%mkrel 7
License:	GPL
Group:		System/Libraries
URL:		http://www.dtek.chalmers.se/groups/dvd/
Source0:	http://www.dtek.chalmers.se/groups/dvd/dist/%{name}-%{version}.tar.bz2
#gw add UDF.* to list of exported symbols
Patch0:		libdvdread-automake.patch
#gw: fix for copy protected DVDs with invalid UDF file system (bug #38118)
Patch1: http://tobias.rautenkranz.ch/03-udf.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
libdvdread provides a simple foundation for reading DVD-Video images.

%package -n	%{libname}
Summary:	Library to read DVD images
Group:		System/Libraries

%description -n	%{libname}
Libdvdread provides a simple foundation for reading DVD-Video images.
This package contains the shared library to run applications utilizing
libdvdread.

%package -n	%{develname}
Summary:	Libdvdread library headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{mklibname dvdread 3 -d}

%description -n	%{develname}
This is the libraries, include files and other resources you can use
to incorporate libdvdread into applications.

%package	utils
Summary:	Libdvdread utilities
Group:		Video

%description	utils
This contains some test utilities based on libdvdread: ifo_dump,
play_title and title_info.

%prep

%setup -q 
%patch -p1
%patch1 -p1

%build
rm missing
libtoolize --copy --force; aclocal; autoconf; automake -a -c

%configure2_5x 
%make

%install
rm -rf %{buildroot}

%makeinstall
mkdir -p %{buildroot}/%{_bindir}
cp src/.libs/* %{buildroot}/%{_bindir}

%post -n %{libname}  -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(644,root,root,755)
%doc README AUTHORS TODO
%attr(755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(644,root,root,755)
%{_includedir}/dvdread
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_libdir}/*.a

%files utils
%defattr(755,root,root,755)
%{_bindir}/*


%changelog
* Wed Feb 27 2008 Götz Waschk <waschk@mandriva.org> 0.9.7-7mdv2008.1
+ Revision: 175683
- replace patch 1 with a different one

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 0.9.7-6mdv2008.1
+ Revision: 174643
- fix for copy protected DVDs (bug #38118)

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7-5mdv2008.1
+ Revision: 150555
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-4mdv2008.0
+ Revision: 76973
- cleanup borked deps

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-3mdv2008.0
+ Revision: 76822
- new devel naming


* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 0.9.7-2mdv2007.0
+ Revision: 112817
- rebuild
- Import libdvdread

* Sat Oct 07 2006 Gtz Waschk <waschk@mandriva.org> 0.9.7-1mdv2007.1
- rediff the patch
- New version 0.9.7

* Thu May 04 2006 Gtz Waschk <waschk@mandriva.org> 0.9.6-1mdk
- update the patch
- New release 0.9.6

* Mon Jan 23 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-1mdk
- update the patch
- New release 0.9.5
- use mkrel

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 0.9.4-6mdk
- Rebuild

* Tue Nov 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.4-5mdk 
- patched makefile to export UDF* symbols too
- rpmbuildupdate aware

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-4mdk
- rebuild

* Sat Aug 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-3mdk
- rebuild

